import request from '@/utils/request'

// 处理计划-设备信息
export function formatEquItem(data) {
  return request({
    url: '/device/spotCheckPlan/formatEquItem',
    method: 'post',
    data: data
  });
}

// 查询点检计划列表
export function listSpotCheckPlan(query) {
	return request({
		url: '/device/spotCheckPlan/list',
		method: 'get',
		params: query
	});
}

// 查询点检计划详细
export function getSpotCheckPlan(planId) {
	return request({
		url: '/device/spotCheckPlan/' + planId,
		method: 'get'
		});
}

// 新增点检计划
export function addSpotCheckPlan(data) {
	return request({
		url: '/device/spotCheckPlan',
		method: 'post',
		data: data
	});
}

// 修改点检计划
export function updateSpotCheckPlan(data) {
	return request({
		url: '/device/spotCheckPlan',
		method: 'put',
		data: data
	});
}

// 删除点检计划
export function delSpotCheckPlan(planId) {
	return request({
		url: '/device/spotCheckPlan/' + planId,
		method: 'delete'
	});
}
